Bug 161413 - Provide a TestWebKitAPI-wide WKNavigationDelegate to simplify tests
Summary: Provide a TestWebKitAPI-wide WKNavigationDelegate to simplify tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Horton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-30 16:59 PDT by Tim Horton
Modified: 2016-09-02 12:36 PDT (History)
8 users (show)

See Also:


Attachments
Patch (62.84 KB, patch)
2016-08-30 17:00 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (62.90 KB, patch)
2016-08-30 17:16 PDT, Tim Horton
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Horton 2016-08-30 16:59:59 PDT
Provide a TestWebKitAPI-wide WKNavigationDelegate to simplify tests
Comment 1 Tim Horton 2016-08-30 17:00:22 PDT
Created attachment 287457 [details]
Patch
Comment 2 WebKit Commit Bot 2016-08-30 17:02:37 PDT
Attachment 287457 [details] did not pass style-queue:


ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ProvisionalURLNotChange.mm:43:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ProvisionalURLNotChange.mm:46:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ShrinkToFit.mm:57:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/AnimatedResize.mm:70:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/FixedLayoutSize.mm:64:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 5 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Tim Horton 2016-08-30 17:16:09 PDT
Created attachment 287462 [details]
Patch
Comment 4 WebKit Commit Bot 2016-08-30 17:18:46 PDT
Attachment 287462 [details] did not pass style-queue:


ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ProvisionalURLNotChange.mm:43:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ProvisionalURLNotChange.mm:46:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/ShrinkToFit.mm:57:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/AnimatedResize.mm:70:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/FixedLayoutSize.mm:64:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 5 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 WebKit Commit Bot 2016-09-01 18:18:50 PDT
Comment on attachment 287462 [details]
Patch

Clearing flags on attachment: 287462

Committed r205329: <http://trac.webkit.org/changeset/205329>
Comment 6 WebKit Commit Bot 2016-09-01 18:18:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Ryan Haddad 2016-09-02 09:18:17 PDT
It appears that API tests WebKit2.AnimatedResizeDoesNotHang and WebKit2.ResizeWithHiddenContentDoesNotHang are timing out on ios-simulater after this change

https://build.webkit.org/builders/Apple%20iOS%209%20Simulator%20Release%20WK2%20%28Tests%29/builds/8899
Comment 8 Tim Horton 2016-09-02 10:31:47 PDT
Weird! I'll start a sim build and fix shortly.
Comment 9 Tim Horton 2016-09-02 11:17:45 PDT
Oh, the mistake is clear.
Comment 10 Tim Horton 2016-09-02 12:36:49 PDT
Fixing in https://bugs.webkit.org/show_bug.cgi?id=161542.